Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Class ExtractorGroup

    java.lang.Object
      org.apache.any23.extractor.ExtractorGroup

All Implemented Interfaces:
  Iterable<ExtractorFactory<?>>

    public class ExtractorGroup

extends Object
implements Iterable<ExtractorFactory<?>>

It simple models a group of `ExtractorFactory` providing simple accessing methods.

Constructor Summary
`ExtractorGroup(Collection<ExtractorFactory<?>> factories)`

Method Summary
`boolean` | `allExtractorsSupportAllContentTypes()`
`ExtractorGroup` | `filterByMIMEType(MIMEType mimeType)` Returns a `ExtractorGroup` with a set of `Extractor` able to process the provided mime type.
`int` | `getNumOfExtractors()`
`boolean` | `isEmpty()`
`Iterator<ExtractorFactory<?>>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractorGroup

    public ExtractorGroup(Collection<ExtractorFactory<?>> factories)

Method Detail

### isEmpty

    public boolean isEmpty()

### getNumOfExtractors

    public int getNumOfExtractors()

### filterByMIMEType

    public ExtractorGroup filterByMIMEType(MIMEType mimeType)

  Returns a `ExtractorGroup` with a set of `Extractor` able to process the provided mime type.

  Parameters:
    `mimeType` - to perform the selection.
  Returns:
    an `ExtractorGroup` able to process the provided mime type.

### iterator

    public Iterator<ExtractorFactory<?>> iterator()

  Specified by:
    `iterator` in interface `Iterable<ExtractorFactory<?>>`

### allExtractorsSupportAllContentTypes

    public boolean allExtractorsSupportAllContentTypes()

  Returns:
    `true` if all the `Extractor` contained in the group supports all the content types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.